Index: sasview/sasview.py
===================================================================
--- sasview/sasview.py	(revision 1be5202b83025cb813a6d2e51d562cf70670811a)
+++ sasview/sasview.py	(revision c23f303448cfceb9e5a58e5d7da46258cdb3cbd8)
@@ -81,5 +81,5 @@
 #Always use private .matplotlib setup to avoid conflicts with other
 #uses of matplotlib
-#Have to check if .sasview exists first 
+#Have to check if .sasview exists first
 sasdir = os.path.join(os.path.expanduser("~"),'.sasview')
 if not os.path.exists(sasdir):
@@ -119,5 +119,5 @@
         # Fitting perspective
         try:
-            import sas.sasgui.perspectives.fitting as module    
+            import sas.sasgui.perspectives.fitting as module
             fitting_plug = module.Plugin()
             self.gui.add_perspective(fitting_plug)
@@ -145,5 +145,13 @@
             logging.error(traceback.format_exc())
 
-        #Calculator perspective   
+        # Corfunc perspective
+        try:
+            import sas.sasgui.perspectives.corfunc as module
+            corfunc_plug = module.Plugin()
+            self.gui.add_perspective(corfunc_plug)
+        except:
+            logging.error("Unable to load corfunc module")
+
+        #Calculator perspective
         try:
             import sas.sasgui.perspectives.calculator as module
@@ -191,3 +199,2 @@
 if __name__ == "__main__":
     run()
-
Index: src/sas/sasgui/perspectives/corfunc/__init__.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/__init__.py	(revision c23f303448cfceb9e5a58e5d7da46258cdb3cbd8)
+++ src/sas/sasgui/perspectives/corfunc/__init__.py	(revision c23f303448cfceb9e5a58e5d7da46258cdb3cbd8)
@@ -0,0 +1,2 @@
+PLUGIN_ID = "Corfunc Plug-In 0.1"
+from corfunc import *
Index: src/sas/sasgui/perspectives/corfunc/corfunc.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/corfunc.py	(revision c23f303448cfceb9e5a58e5d7da46258cdb3cbd8)
+++ src/sas/sasgui/perspectives/corfunc/corfunc.py	(revision c23f303448cfceb9e5a58e5d7da46258cdb3cbd8)
@@ -0,0 +1,36 @@
+"""
+    Corfunc perspective
+"""
+import wx
+import logging
+from sas.sasgui.guiframe.plugin_base import PluginBase
+from sas.sasgui.guiframe.gui_manager import MDIFrame
+from sas.sasgui.perspectives.corfunc.corfunc_panel import CorfuncPanel
+
+class Plugin(PluginBase):
+    """
+    This class defines the interface for a plugin class for a correlation
+    function perspective
+    """
+
+    def __init__(self):
+        PluginBase.__init__(self, name="Correlation Function")
+        logging.info("Correlation function plug-in started")
+        self._always_active = True
+
+    def get_panels(self, parent):
+        """
+        Define the GUI panels
+        """
+        self.parent = parent
+        self.frame = MDIFrame(self.parent, None, 'None', (100,200))
+        # self.test_panel = PanelBase(parent=self.frame)
+        # self.test_panel.set_manager(self)
+        # self.frame.set_panel(self.test_panel)
+        # self.perspective.append("testwindow")
+        self.corfunc_panel = CorfuncPanel(parent=self.frame)
+        self.frame.set_panel(self.corfunc_panel)
+        self.corfunc_panel.set_manager(self)
+        self.perspective.append(self.corfunc_panel.window_name)
+
+        return [self.corfunc_panel]
Index: src/sas/sasgui/perspectives/corfunc/corfunc_panel.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/corfunc_panel.py	(revision c23f303448cfceb9e5a58e5d7da46258cdb3cbd8)
+++ src/sas/sasgui/perspectives/corfunc/corfunc_panel.py	(revision c23f303448cfceb9e5a58e5d7da46258cdb3cbd8)
@@ -0,0 +1,52 @@
+import wx
+import sys
+from wx.lib.scrolledpanel import ScrolledPanel
+from sas.sasgui.guiframe.panel_base import PanelBase
+
+BACKGROUND = 0.0
+if sys.platform.count("win32") > 0:
+    _STATICBOX_WIDTH = 450
+    PANEL_WIDTH = 500
+    PANEL_HEIGHT = 700
+    FONT_VARIANT = 0
+else:
+    _STATICBOX_WIDTH = 490
+    PANEL_WIDTH = 530
+    PANEL_HEIGHT = 700
+    FONT_VARIANT = 1
+
+class CorfuncPanel(ScrolledPanel,PanelBase):
+    window_name = "Correlation Function"
+    window_caption = "Correlation Function"
+    CENTER_PANE = True
+
+    def __init__(self, parent, data=None, manager=None, *args, **kwds):
+        kwds["size"] = (PANEL_WIDTH, PANEL_HEIGHT)
+        kwds["style"] = wx.FULL_REPAINT_ON_RESIZE
+        ScrolledPanel.__init__(self, parent=parent, *args, **kwds)
+        PanelBase.__init__(self, parent)
+        self.SetupScrolling()
+        self.SetWindowVariant(variant=FONT_VARIANT)
+        self._manager = manager
+        self._data = data
+        self._background = BACKGROUND
+        self.state = None
+
+        self._main_sizer = None
+
+        self.set_state()
+        self._do_layout()
+
+    def set_state(self, state=None, data=None):
+        return False
+
+    def _do_layout(self):
+        """
+        Draw the window content
+        """
+        self._main_sizer = wx.BoxSizer(wx.HORIZONTAL)
+        txt = wx.StaticText(self, id=wx.NewId(), label="TODO: Add GUI",
+            style=wx.ALIGN_CENTRE_HORIZONTAL)
+        self._main_sizer.Add(txt, 1, wx.EXPAND)
+        self.SetSizer(self._main_sizer)
+        self.SetAutoLayout(True)
